> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Language AI Profiles

> List available Language AI profiles for the user.



## OpenAPI

````yaml /openapi/phrase-language-ai.json get /v1/translationProfiles
openapi: 3.0.2
info:
  title: Phrase Language AI via API
  description: >
    ### Machine translation powered by [Phrase](https://phrase.com) allows the
    translation of content utilizing  a unique AI powered feature to pick the
    best available translation engine for that content.
  version: 1.0.0
  termsOfService: https://phrase.com/terms/
  contact:
    url: https://phrase.com
servers:
  - url: https://eu.phrase.com/smt/api/
    description: The API server for EU data center.
  - url: https://us.phrase.com/smt/api/
    description: The API server for US data center.
security:
  - BearerAuth: []
tags:
  - name: File translations
    description: >-
      Allows the processing files asynchronously with the file being uploaded
      and stored in Phrase.  Files can be either stored or translated by the
      best available MT engine. File TTL is limited to 24 hours  after which the
      file is deleted from storage.
  - name: Authentication
    description: >
      Allows the authentication of a user and to get the token to be used in the
      Authorization header.
  - name: Text translations
    description: >
      Allows the translation of text content utilizing Phrase Language AI
      capabilities. APIs are synchronous, 

      designed for quick turnaround and are limited in size of the request.
paths:
  /v1/translationProfiles:
    get:
      tags:
        - List Language AI Profiles
      summary: List Language AI Profiles
      description: List available Language AI profiles for the user.
      operationId: listTranslationProfilesV1
      parameters:
        - name: name
          in: query
          description: Filter by name
          required: false
          schema:
            type: string
        - name: type
          in: query
          description: Filter by type
          required: false
          schema:
            $ref: '#/components/schemas/TranslationProfileType'
        - name: sort
          in: query
          description: Sort by
          required: false
          schema:
            type: string
            default: name
            enum:
              - name
              - dateCreated
        - name: order
          in: query
          description: desc
          required: false
          schema:
            type: string
            default: asc
            enum:
              - asc
              - desc
        - name: pageNumber
          in: query
          description: Page number, starting with 0, default 0
          required: false
          schema:
            type: integer
            default: 0
            minimum: 0
            format: int32
        - name: pageSize
          in: query
          description: Page size, accepts values between 1 and 50, default 10
          required: false
          schema:
            type: integer
            default: 10
            maximum: 50
            minimum: 1
            format: int32
      responses:
        '200':
          description: Successful operation
          headers:
            Memsource-Action-Id:
              $ref: '#/components/headers/MemsourceActionId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTranslationProfilesResponseV1'
        '400':
          $ref: '#/components/responses/Tms400'
        '401':
          $ref: '#/components/responses/Tms401'
        '403':
          $ref: '#/components/responses/Tms403'
        '404':
          $ref: '#/components/responses/Tms404'
        '405':
          $ref: '#/components/responses/Tms405'
        '408':
          $ref: '#/components/responses/Tms408'
        '410':
          $ref: '#/components/responses/Tms410'
        '415':
          $ref: '#/components/responses/Tms415'
        '429':
          $ref: '#/components/responses/Tms429'
        '500':
          $ref: '#/components/responses/Tms500'
        '501':
          $ref: '#/components/responses/Tms501'
components:
  schemas:
    TranslationProfileType:
      type: string
      enum:
        - QUOKKA
        - PLAI
      example: PLAI
      description: Type of the translation profile
    ListTranslationProfilesResponseV1:
      type: object
      properties:
        pageNumber:
          type: integer
          minimum: 0
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/TranslationProfileV1'
        numberOfElements:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
    TranslationProfileV1:
      type: object
      properties:
        uid:
          type: string
        name:
          type: string
        engines:
          type: array
          items:
            $ref: '#/components/schemas/TranslationEngineV1'
        glossaries:
          type: array
          items:
            $ref: '#/components/schemas/GlossaryV1'
        dateCreated:
          type: string
        shape:
          type: string
    TranslationEngineV1:
      type: object
      properties:
        id:
          type: string
        uid:
          type: string
        baseName:
          type: string
        name:
          type: string
        type:
          type: string
        category:
          type: string
        enabled:
          type: boolean
        glossarySupported:
          type: boolean
    GlossaryV1:
      type: object
      properties:
        uid:
          type: string
        name:
          type: string
  headers:
    MemsourceActionId:
      description: Memsource action identifier used for tracking request across services.
      schema:
        type: string
  responses:
    Tms400:
      description: Bad request
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms401:
      description: Not authorized
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms403:
      description: Forbidden
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms404:
      description: Resource not found
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms405:
      description: Method not allowed
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms408:
      description: Timeout
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms410:
      description: Gone
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms415:
      description: Unsupported media type
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms429:
      description: Too many requests
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms500:
      description: Internal server error
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
    Tms501:
      description: Not implemented
      headers:
        Memsource-Action-Id:
          $ref: '#/components/headers/MemsourceActionId'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Provide `Authorization` header with token obtained through
        [Login](/en/api/language-ai/authentication/login) operation.

````